.TH "mca_pml_base_request_t" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
mca_pml_base_request_t \- Base type for PML P2P requests.  

.PP
.SH SYNOPSIS
.br
.PP
\fC#include <pml_base_request.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "\fBompi_request_t\fP \fBreq_ompi\fP"
.br
.RI "\fIbase request \fP"
.ti -1c
.RI "void * \fBreq_addr\fP"
.br
.RI "\fIpointer to application buffer \fP"
.ti -1c
.RI "size_t \fBreq_count\fP"
.br
.RI "\fIcount of user datatype elements \fP"
.ti -1c
.RI "int32_t \fBreq_peer\fP"
.br
.RI "\fIpeer process - rank w/in this communicator \fP"
.ti -1c
.RI "int32_t \fBreq_tag\fP"
.br
.RI "\fIuser defined tag \fP"
.ti -1c
.RI "ompi_communicator_t * \fBreq_comm\fP"
.br
.RI "\fIcommunicator pointer \fP"
.ti -1c
.RI "ompi_proc_t * \fBreq_proc\fP"
.br
.RI "\fIpeer process \fP"
.ti -1c
.RI "uint64_t \fBreq_sequence\fP"
.br
.RI "\fIsequence number for MPI pt-2-pt ordering \fP"
.ti -1c
.RI "ompi_datatype_t * \fBreq_datatype\fP"
.br
.RI "\fIpointer to data type \fP"
.ti -1c
.RI "\fBmca_pml_base_request_type_t\fP \fBreq_type\fP"
.br
.RI "\fIMPI request type - used for test. \fP"
.ti -1c
.RI "bool \fBreq_persistent\fP"
.br
.RI "\fIflag indicating if the this is a persistent request \fP"
.ti -1c
.RI "volatile bool \fBreq_pml_complete\fP"
.br
.RI "\fIflag indicating if the pt-2-pt layer is done with this request \fP"
.ti -1c
.RI "volatile bool \fBreq_free_called\fP"
.br
.RI "\fIflag indicating if the user has freed this request \fP"
.in -1c
.SH "Detailed Description"
.PP 
Base type for PML P2P requests. 
.PP


.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
